<?php

App::uses('BuzzBookingsAppController', 'BuzzBookings.Controller');

class GiftVouchersController extends BuzzBookingsAppController {

	protected function _adminFormFields() {
		$fields = parent::_adminFormFields();

		$fields['GiftVoucher.participants']['type'] = 'select';

		return $fields;
	}

/**
 * Populate admin lookups
 *
 * @return void
 */
	protected function _adminPopulateLookups() {
		$GiftVoucher = $this->{$this->modelClass};

		$this->set('voucherActivities', $GiftVoucher->VoucherActivity->find('list'));

		$participants = array_combine(range(1, 10), range(1, 10));
		array_unshift($participants, __('Private Hire'));
		$this->set(compact('participants'));

		return;
	}

}
